%Author Chia-Hua Ho and Ming-Hen Tsai
%Running this resulting a "result.txt" in latex format for Table 2 in the paper.
path('../classifier/libsvm-2.9-fv',path);
path('../classifier/libsvm-infensemble-2.8-fv',path);
path('../classifier/liblinear-1.51-fv',path);
path(path,'../classifier/libsvm-3.1/matlab');
path(path,'../classifier/svmlin-v1.0-with-matlab');
path('../classifier/',path);

datasets = {'hiva', 'nova','ibn_sina', 'orange' ,'sylva', 'zebra'};

mat = [];
for dataidx =  1:length(datasets)
	data = datasets{dataidx};
	col = run_exp(data);
	mat(dataidx,:) = col;
		
	fp = fopen(sprintf('result.txt'),'w');
	[a,b] = size(mat);
	for i=1:b
		for j=1:a
			fprintf(fp,'%g ',mat(j,i));
		end
		fprintf(fp,'\n');
	end
	fclose(fp);
end
mat
